#ifndef INC_MEMORYLEAKINDICATORGLOBALS_H
#define INC_MEMORYLEAKINDICATORGLOBALS_H
//-----------------------------------------------------------------------------
/*!
\file MemoryLeakIndicatorGlobals.h
\brief
\if english
  Header for global void pointer to a MemSpy::LeakMap.
\endif

\if german
  Header für globalen Void-Pointer auf eine MemSpy::LeakMap.
\endif
\author Helmut Jakoby
\copyright © 2021 Helmut Jakoby
<!-- @@TermsOfLicense BEGIN -->

<b>Terms of License</b>

This file is part of the MemoryLeakIndicator module.

MemoryLeakIndicator is free software:

This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.

<b>GNU Affero General Public License Usage</b><br>
You can redistribute it and/or modify it under the terms of the GNU Affero General
Public License as published by the Free Software Foundation; either version 3 of
the License, or (at your option) any later version. Please review the following
information to ensure the GNU Affero General Public License requirements will be
met: https://www.gnu.org/licenses/agpl-3.0.en.html .
<!-- @@TermsOfLicense END -->
*/
//-----------------------------------------------------------------------------
/*!
\if english
  Depending on the C++ version <b>NULL_PTR</b> is defined as <b>nullptr</b> or <b>NULL</b>.
\endif

\if german
  Je nach C++ Version wird <b>NULL_PTR</b> als <b>nullptr</b> oder <b>NULL</b> definiert.
\endif
\code{.cpp}
#if __cplusplus >= 201103L
  #define NULL_PTR nullptr
#else
  #define NULL_PTR NULL
#endif // __cplusplus >= 201703L
\endcode
  
\if english
  In Visual Studio extend the "Properties::C/C++::All options::Additional options:"
  with "/Zc:__cplusplus"!
\endif

\if german
  In Visual Studio die "Eigenschaften::C/C++::Alle Optionen::Zusätzliche Optionen:"
  um "/Zc:__cplusplus" erweitern!
\endif
*/
#ifndef NULL_PTR
  #if __cplusplus >= 201103L
    #define NULL_PTR nullptr
  #else
    #define NULL_PTR NULL
  #endif // __cplusplus >= 201103L
#endif
//-----------------------------------------------------------------------------
/*!
\if english
  Global pointer to a MemSpy::LeakMap.
\endif

\if german
  Globaler Zeiger auf ein MemSpy::LeakMap.
\endif
*/
extern void * g_pVoidLeakMap = NULL_PTR;
//-----------------------------------------------------------------------------
#endif
