#ifndef INC_MLIVERSIONINFO_H
#define INC_MLIVERSIONINFO_H
//-----------------------------------------------------------------------------
/*!
\file MliVersionInfo.h
\brief
\if english
  Template header for VersionInfo from MemoryLeakIndicator
\endif

\if german
  Template Header für VersionInfo von MemoryLeakIndicator
\endif
\author Helmut Jakoby
\copyright © 1995-2021 Helmut Jakoby
<!-- @@TermsOfLicense BEGIN -->

<b>Terms of License</b>

This file is part of the MemoryLeakIndicator module.

MemoryLeakIndicator is free software:

This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.

<b>GNU Lesser General Public License Usage</b><br>
You can redistribute it and/or modify it under the terms of the GNU Lesser
General Public License as published by the Free Software Foundation; either
version 3 of the License, or (at your option) any later version. Please review
the following information to ensure the GNU Lesser General Public
License version 3 requirements will be met: https://www.gnu.org/licenses/lgpl-3.0.html.

<b>GNU General Public License Usage</b><br>
Alternatively, you can redistribute it and/or modify it under the terms of the
GNU General Public License as published by the Free Software Foundation;
either version 3 of the License, or (at your option) any later version. Please
review the following information to ensure the GNU General Public License
requirements will be met: https://www.gnu.org/licenses/gpl-2.0.html and
https://www.gnu.org/licenses/gpl-3.0.html.
<!-- @@TermsOfLicense END -->
*/
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
namespace MemSpy
{
  //===========================================================================
  /*!
  \if english
    The version of <b>MemoryLeakIndicator</b> as string.
  \endif

  \if german
    Die Version von <b>MemoryLeakIndicator</b> als String.
  \endif
  */
  #define GLO_VERSION_STR "@@Version@@"
  //---------------------------------------------------------------------------
  /*!
  \if english
    The major release.
  \endif

  \if german
    Die Hauptversionsnummer.
  \endif
  */
  #define GLO_VERSION_MAJOR @@Major@@
  //---------------------------------------------------------------------------
  /*!
  \if english
    The minor release.
  \endif

  \if german
    Die Nebenversionsnummer.
  \endif
  */
  #define GLO_VERSION_MINOR @@Minor@@
  //---------------------------------------------------------------------------
  /*!
  \if english
    The patch level.
  \endif

  \if german
    Die Revisionsnummer.
  \endif
  */
  #define GLO_VERSION_PATCH @@Path@@
  //---------------------------------------------------------------------------
  /*!
  \if english
    The build date.
  \endif

  \if german
    Die Build-Datum.
  \endif
  */
  #define GLO_COMPILE_DATE_TIME "@@CreateTime@@"
  //===========================================================================
} // namespace MemSpy
#endif
